## org.eclipse.uml2.uml.editor.presentation
Class UMLEditor.UMLPropertyDescriptor

    java.lang.Object
      org.eclipse.emf.edit.ui.provider.PropertyDescriptor
          org.eclipse.uml2.uml.editor.presentation.UMLEditor.UMLPropertyDescriptor

All Implemented Interfaces:
  org.eclipse.ui.views.properties.IPropertyDescriptor

Enclosing class:
  UMLEditor

    protected static class UMLEditor.UMLPropertyDescriptor

extends org.eclipse.emf.edit.ui.provider.PropertyDescriptor

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.edit.ui.provider.PropertyDescriptor
`org.eclipse.emf.edit.ui.provider.PropertyDescriptor.EDataTypeCellEditor, org.eclipse.emf.edit.ui.provider.PropertyDescriptor.EDataTypeValueHandler, org.eclipse.emf.edit.ui.provider.PropertyDescriptor.FloatCellEditor, org.eclipse.emf.edit.ui.provider.PropertyDescriptor.IntegerCellEditor`

Field Summary

Fields inherited from class org.eclipse.emf.edit.ui.provider.PropertyDescriptor
`ecorePackage, itemPropertyDescriptor, object`

Constructor Summary
`protected` `UMLEditor.UMLPropertyDescriptor(java.lang.Object object, org.eclipse.emf.edit.provider.IItemPropertyDescriptor itemPropertyDescriptor)`

Method Summary
`protected org.eclipse.jface.viewers.ILabelProvider` `getEditLabelProvider()`

Methods inherited from class org.eclipse.emf.edit.ui.provider.PropertyDescriptor
`createEDataTypeCellEditor, createPropertyEditor, getCategory, getDescription, getDisplayName, getFilterFlags, getHelpContextIds, getId, getLabelProvider, isCompatibleWith`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UMLEditor.UMLPropertyDescriptor

    protected UMLEditor.UMLPropertyDescriptor(java.lang.Object object,
                                              org.eclipse.emf.edit.provider.IItemPropertyDescriptor itemPropertyDescriptor)

Method Detail

### getEditLabelProvider

    protected org.eclipse.jface.viewers.ILabelProvider getEditLabelProvider()

  Overrides:
    `getEditLabelProvider` in class `org.eclipse.emf.edit.ui.provider.PropertyDescriptor`

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.